import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core/ES2015/type";
import { DependencyProperty } from "igniteui-react-core/ES2015/DependencyProperty";
export declare class BollingerBandWidthIndicator extends StrategyBasedIndicator {
    protected get_p0(): IndicatorCalculationStrategy;
    protected readonly p0: IndicatorCalculationStrategy;
    protected get_qd(): Type;
    protected readonly qd: Type;
    qm: number;
    static readonly qp: DependencyProperty;
    protected p6(): number;
    ql: number;
    static readonly qo: DependencyProperty;
    protected p4(): number;
    static $t: Type;
}
